Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## weblogic.management
Class Helper

    java.lang.Object
      |
      +--weblogic.management.Helper

public final class Helper
extends java.lang.Object

WebLogic Server provides the weblogic.management.Helper class to simplify the process of obtaining MBeanHome interfaces. This class provides methods to obtain a server or administration MBeanHome from internal clients.

See Also:
  `MBeanHome`, `MBeanServer`

Constructor Summary
`Helper()`

Method Summary
`static MBeanHome` | `getAdminMBeanHome(java.lang.String user, java.lang.String password, java.lang.String adminServerURL)` Returns the Admin MBeanHome of the admin server.
`static MBeanHome` | `getMBeanHome(java.lang.String user, java.lang.String password, java.lang.String serverURL, java.lang.String serverName)` Returns the regular MBeanHome of the server specified.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Helper

    public Helper()

Method Detail

### getAdminMBeanHome

    public static final MBeanHome getAdminMBeanHome(java.lang.String user,
                                                    java.lang.String password,
                                                    java.lang.String adminServerURL)
                                             throws java.lang.IllegalArgumentException

  Returns the Admin MBeanHome of the admin server.

  Parameters:
    `user` - username for a user which has authorization to find MBeans on the admin server
    `password` - password for the user specified in the user argument

### getMBeanHome

    public static final MBeanHome getMBeanHome(java.lang.String user,
                                               java.lang.String password,
                                               java.lang.String serverURL,
                                               java.lang.String serverName)
                                        throws java.lang.IllegalArgumentException

  Returns the regular MBeanHome of the server specified.

  Parameters:
    `user` - username for a user which has authorization to find MBeans on the target server
    `password` - password for the user specified in the user argument
    `serverName` - name of the target server as defined in the domain configuration.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs70
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 BEA Systems, Inc. All Rights Reserved.
WebLogic Server 7.0 API Reference